Debian Bug report logs - #428452
linux-image-2.6.21-1-amd64: Network driver skge fails to load [regression from 2.6.20]

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Jan Gukelberger <g.u.g.i@gmx.de>

Date: Mon, 11 Jun 2007 20:00:01 UTC

Severity: normal

Merged with 441232

Found in versions 2.6.21-4, 2.6.22+10, 2.6.23-1~experimental.1~snapshot.9726

Fixed in versions 2.6.20-3, 2.6.18.dfsg.1-13etch4, 2.6.24-1

Done: maximilian attems <max@stro.at>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#428452; Package linux-image-2.6.21-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to Jan Gukelberger <g.u.g.i@gmx.de>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jan Gukelberger <g.u.g.i@gmx.de>
To: submit@bugs.debian.org
Subject: linux-image-2.6.21-1-amd64: Network driver skge fails to load [regression from 2.6.20]
Date: Mon, 11 Jun 2007 21:55:04 +0200
Package: linux-image-2.6.21-1-amd64
Version: 2.6.21-4
Severity: normal

When booting kernel 2.6.21 I am left with no network because the skge
module fails to load. dmesg shows:
---------------------------------------------------------------------
ACPI: PCI Interrupt 0000:04:04.0[A] -> GSI 19 (level, low) -> IRQ 19
PCI: Unable to reserve mem region #1:4000@ff9f8000 for device 0000:04:04.0
skge 0000:04:04.0: cannot obtain PCI resources
ACPI: PCI interrupt for device 0000:04:04.0 disabled
skge: probe of 0000:04:04.0 failed with error -16
---------------------------------------------------------------------

With kernel <= 2.6.20 there were no problems with the network driver.

This is an Asus P5B-V mainboard with the most recent BIOS.

I have recorded the contents of dmesg, /proc/interrupts and /proc/iomem
under 2.6.20 und 2.6.21. Should I attach all these files or just diffs
between some? Is there any other information I could provide?

-- Package-specific info:

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.20rtai (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.21-1-amd64 depends on:
ii  e2fsprog 1.39+1.40-WIP-2007.04.07+dfsg-2 ext2 file system utilities
and lib
ii  initramf 0.88                            tools for generating an
initramfs
ii  module-i 3.3-pre11-1                     tools for managing Linux
kernel mo

linux-image-2.6.21-1-amd64 recommends no packages.

-- debconf information excluded




Bug reassigned from package `linux-image-2.6.21-1-amd64' to `linux-2.6'. Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Fri, 07 Sep 2007 16:39:02 GMT) Full text and rfc822 format available.

Forcibly Merged 428452 441232. Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Fri, 07 Sep 2007 16:39:07 GMT) Full text and rfc822 format available.

Bug marked as found in version 2.6.21-4. Request was from David Schmitt <david@schmitt.edv-bus.at> to control@bugs.debian.org. (Tue, 20 Nov 2007 07:24:08 GMT) Full text and rfc822 format available.

Bug marked as found in version 2.6.22+10. Request was from David Schmitt <david@schmitt.edv-bus.at> to control@bugs.debian.org. (Tue, 20 Nov 2007 07:24:09 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 2.6.20-3. Request was from David Schmitt <david@schmitt.edv-bus.at> to control@bugs.debian.org. (Tue, 20 Nov 2007 07:24:10 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 2.6.18.dfsg.1-13etch4. Request was from David Schmitt <david@schmitt.edv-bus.at> to control@bugs.debian.org. (Tue, 20 Nov 2007 07:24:12 GMT) Full text and rfc822 format available.

Bug marked as found in version 2.6.23-1~experimental.1~snapshot.9726. Request was from David Schmitt <david@schmitt.edv-bus.at> to control@bugs.debian.org. (Tue, 20 Nov 2007 07:24:13 GMT) Full text and rfc822 format available.

Reply sent to maximilian attems <max@stro.at>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jan Gukelberger <g.u.g.i@gmx.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 428452-done@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: 428452-done@bugs.debian.org
Subject: Re: linux-image-2.6.21-1-amd64: Network driver skge fails to load [regression from 2.6.20]
Date: Wed, 21 May 2008 20:17:02 +0200
Version: 2.6.24-1

upstream skge updates fixed that.

-- 
maks




Reply sent to maximilian attems <max@stro.at>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jan Gukelberger <g.u.g.i@gmx.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 19 Jun 2008 07:31:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:21:37 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.